summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony Green <green@moxielogic.com>2019-10-15 07:12:56 -0400
committerAnthony Green <green@moxielogic.com>2019-10-15 07:12:56 -0400
commitdcbed053cb23de17b2d3bebb0e4babce53abc4ce (patch)
tree33020e052a7aee6632ce407f21ff1816a8899283
parent471ca7e83deacecaf4566c9c4199eab1a94bfb8c (diff)
downloadlibffi-dcbed053cb23de17b2d3bebb0e4babce53abc4ce.tar.gz
Don't build ppc64le. Sort out exit codes.
-rw-r--r--.travis.yml6
-rwxr-xr-x.travis/build-in-container.sh6
-rwxr-xr-x.travis/build.sh10
3 files changed, 8 insertions, 14 deletions
diff --git a/.travis.yml b/.travis.yml
index 6cc93b0..867dad2 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -8,12 +8,6 @@ matrix:
- os: osx
env: HOST=arm-apple-darwin
- os: linux
- env: HOST=ppc64le-linux-gnu LIBFFI_TEST_OPTIMIZATION="-O0"
- - os: linux
- env: HOST=ppc64le-linux-gnu LIBFFI_TEST_OPTIMIZATION="-O2"
- - os: linux
- env: HOST=ppc64le-linux-gnu LIBFFI_TEST_OPTIMIZATION="-O2 -fomit-frame-pointer"
- - os: linux
env: HOST=arm32v7-linux-gnu LIBFFI_TEST_OPTIMIZATION="-O0"
- os: linux
env: HOST=arm32v7-linux-gnu LIBFFI_TEST_OPTIMIZATION="-O2"
diff --git a/.travis/build-in-container.sh b/.travis/build-in-container.sh
index 7f4ee1b..dc412c2 100755
--- a/.travis/build-in-container.sh
+++ b/.travis/build-in-container.sh
@@ -1,14 +1,12 @@
#!/bin/bash
-# exit this script if any commmand fails
-# set -e
-
cd /opt
./configure
make
make dist
make check RUNTESTFLAGS="-a $RUNTESTFLAGS"
+EXITCODE=$?
gzip -c -9 */testsuite/libffi.log > libffi.log.gz
echo ================================================================
echo The logs are too long for travis to handle, so we compress and
@@ -18,3 +16,5 @@ echo ================================================================
uuencode libffi.log.gz -
echo ================================================================
echo ================================================================
+exit $EXITCODE
+
diff --git a/.travis/build.sh b/.travis/build.sh
index 2e3434f..61ca284 100755
--- a/.travis/build.sh
+++ b/.travis/build.sh
@@ -1,9 +1,5 @@
#!/bin/bash
-# exit this script if any commmand fails
-# set -e
-set -x
-
function build_linux()
{
./autogen.sh
@@ -11,6 +7,7 @@ function build_linux()
make
make dist
make check RUNTESTFLAGS="-a $RUNTESTFLAGS"
+ EXITCODE=$?
gzip -c -9 */testsuite/libffi.log > libffi.log.gz
echo ================================================================
@@ -21,11 +18,14 @@ function build_linux()
uuencode libffi.log.gz -
echo ================================================================
echo ================================================================
+
+ exit $EXITCODE
}
function build_foreign_linux()
{
docker run --rm -t -i -v `pwd`:/opt --rm -ti -e LIBFFI_TEST_OPTIMIZATION="${LIBFFI_TEST_OPTIMIZATION}" $2 bash -c /opt/.travis/build-in-container.sh
+ exit $?
}
function build_ios()
@@ -35,7 +35,7 @@ function build_ios()
./generate-darwin-source-and-headers.py
xcodebuild -showsdks
xcodebuild -project libffi.xcodeproj -target "libffi-iOS" -configuration Release -sdk iphoneos10.3
- find ./
+ exit $?
}
./autogen.sh